MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Static Public Attributes
SampleTraits< SampleFormat::DSD > Struct Template Reference

`#include <Traits.hxx>`

## Public Types
typedef uint8_t | value_type
typedef value_type * | pointer_type
typedef const value_type * | const_pointer_type

## Static Public Attributes
static constexpr size_t | SAMPLE_SIZE = sizeof(value_type)
static constexpr value_type | SILENCE = 0x69

## Detailed Description

### template<>
struct SampleTraits< SampleFormat::DSD >

Definition at line 163 of file Traits.hxx.

## Member Typedef Documentation

typedef const value_type* SampleTraits< SampleFormat::DSD >::const_pointer_type

Definition at line 166 of file Traits.hxx.

typedef value_type* SampleTraits< SampleFormat::DSD >::pointer_type

Definition at line 165 of file Traits.hxx.

typedef uint8_t SampleTraits< SampleFormat::DSD >::value_type

Definition at line 164 of file Traits.hxx.

## Field Documentation

constexpr size_t SampleTraits< SampleFormat::DSD >::SAMPLE_SIZE = sizeof(value_type)
| static

Definition at line 168 of file Traits.hxx.

constexpr value_type SampleTraits< SampleFormat::DSD >::SILENCE = 0x69
| static

Definition at line 170 of file Traits.hxx.

The documentation for this struct was generated from the following file:

- pcm/Traits.hxx